//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TButton *Button1;
	TButton *Button2;
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall Button2Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};

class TRownanieKwadratowe : public TObject
{
  private:
	double Fa,Fb,Fc;
	void SetA(double a);
	double Delta() const;
  public:

	TRownanieKwadratowe(double a,double b,double c);
	double GetX1() const;
	double GetX2() const;
	static bool Rozwiazanie(double a,double b,double c,double& x1,double& x2);
	//wlasnosci
	__property double a = {read=Fa,write=SetA};
	__property double b = {read=Fb,write=Fb};
	__property double c = {read=Fc,write=Fc};
	__property double X1 = {read=GetX1};
	__property double X2 = {read=GetX2};
};

//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
